package me.wazup.hideandseek.commands.admin;

import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.Location;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class SetGlobalLobby extends SubCommand
{
    public SetGlobalLobby() {
        super("hideandseek.setgloballobby", false, (String)null);
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        final Player player = (Player)commandSender;
        final Location location = player.getLocation();
        hideAndSeek.globalLobby = location;
        final FileConfiguration config = hideAndSeek.getConfig();
        config.set("Global-Lobby.delay", (Object)15);
        config.set("Global-Lobby.world", (Object)location.getWorld().getName());
        config.set("Global-Lobby.x", (Object)(location.getBlockX() + 0.5));
        config.set("Global-Lobby.y", (Object)(location.getBlockY() + 1));
        config.set("Global-Lobby.z", (Object)(location.getBlockZ() + 0.5));
        config.set("Global-Lobby.yaw", (Object)location.getYaw());
        config.set("Global-Lobby.pitch", (Object)location.getPitch());
        hideAndSeek.saveConfig();
        player.sendMessage(customization.prefix + "You have set the global lobby location to " + ChatColor.GREEN + location.getBlockX() + ChatColor.YELLOW + ", " + ChatColor.GREEN + location.getBlockY() + ChatColor.YELLOW + ", " + ChatColor.GREEN + location.getBlockZ());
        return true;
    }
}
